Bug 803856 - (CVE-2012-1180) CVE-2012-1180 nginx: malformed HTTP response headers leads to information leak
CVE-2012-1180 nginx: malformed HTTP response headers leads to information leak
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120315,repor...
: Security
Depends On: 803858 803859
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 15:00 EDT by Vincent Danen
Modified: 2013-02-01 10:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-23 08:35:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2012-03-15 15:00:00 EDT
A flaw was reported [1] in nginx versions prior to 1.0.14 and 1.1.17 where contents of previously freed memory could be sent to a client if an upstream server returned a specially crafted HTTP response.  This could potentially leak sensitive information to the HTTP client.

This has been corrected upstream [2],[3] and a patch [4] is available for earlier versions of nginx.

[1] http://seclists.org/bugtraq/2012/Mar/65
[2] http://trac.nginx.org/nginx/changeset/4530/nginx
[3] http://trac.nginx.org/nginx/changeset/4531/nginx
[4] http://nginx.org/download/patch.2012.memory.txt
Comment 1 Vincent Danen 2012-03-15 15:02:30 EDT
Created nginx tracking bugs for this issue

Affects: fedora-all [bug 803858]
Affects: epel-all [bug 803859]
Comment 2 Fedora Update System 2012-03-30 23:07:56 EDT
nginx-1.0.14-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2012-03-30 23:14:22 EDT
nginx-1.0.14-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2012-04-02 14:28:12 EDT
nginx-0.8.55-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-04-02 14:28:57 EDT
nginx-1.0.14-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-04-11 23:27:48 EDT
nginx-1.0.14-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.